Bug 162497 - Fix net/quagga on FreeBSD 10
Fix net/quagga on FreeBSD 10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-12 06:30 UTC by boris
Modified: 2011-11-18 19:43 UTC (History)
0 users

See Also:


Attachments
file.txt (1.29 KB, text/plain)
2011-11-12 06:30 UTC, boris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description boris 2011-11-12 06:30:11 UTC

Fix: Apply the attached patch

Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2011-11-12 09:16:16 UTC
State Changed
From-To: open->feedback

Set to feedback to notify maintainer.
Comment 2 boris 2011-11-12 17:11:43 UTC
Hello!

     Yes, it's send by me. Please commit it.

-- 
Regards,
Boris
Comment 3 Chris Rees freebsd_committer 2011-11-12 17:46:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 4 dfilter freebsd_committer 2011-11-12 17:51:15 UTC
crees       2011-11-12 17:51:07 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile 
  Added files:
    net/quagga/files     patch-ospfd__ospf_packet.c 
  Log:
  Fix on FreeBSD 10+
  
  PR:             ports/162497
  Submitted by:   Boris Kovalenko <boris@tagnet.ru> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.115     +1 -1      ports/net/quagga/Makefile
  1.1       +11 -0     ports/net/quagga/files/patch-ospfd__ospf_packet.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2011-11-12 17:51:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks! Please also pass this fix upstream.
Comment 6 tobias.brunner 2011-11-17 12:30:11 UTC
Hi,

This patch made us many troubles on one of our FreeBSD 7.1-RELEASE-p11 border 
router. After upgrading Quagga with portupgrade to 0.99.20_2, OSPF was not 
working anymore and we got in troubles in the middle of the night!
The error logged in vtysh.log was "OSPF: ospf_recv_packet read length 
mismatch: ip_len is 100, but recvmsg returned 120".
Removing this patch and recompiling fixed the issue, OSPF is working again.

Maybe this patch is buggy?

Cheers,
Tobias


-- 
Nine Internet Solutions AG, Albisriederstr. 243c, CH-8047 Zuerich
Support +41 44 637 40 40 | Tel +41 44 637 40 00 | Direct +41 44 637 40 13
Skype nine.ch_support
Comment 7 Chris Rees freebsd_committer 2011-11-17 19:45:40 UTC
State Changed
From-To: closed->open

Hm, looking at the patch, are we sure it should be __FreeBSD_version >=, 
and not <=? Boris?
Comment 8 boris 2011-11-18 04:22:41 UTC
Hello!

     You are right, the fix committed by PR 162559.

-- 
Regards,
Boris
Comment 9 Chris Rees freebsd_committer 2011-11-18 19:43:35 UTC
State Changed
From-To: open->closed

Please csup and try again.  Fixed in ports/162559